# Contributing Guidelines

Thank you for considering contributing to this project! Please follow the guidelines below to help ensure a smooth contribution process.

## How to Contribute

### Reporting Bugs
If you find a bug, please open a new issue in the repository and provide as much detail as possible:
- A description of the issue
- Steps to reproduce the issue, preferably a minimal example
- Expected vs actual behavior

### Suggesting Features
Feature suggestions are always welcome! Open a new issue and describe the feature being proposed.

### Submitting larger, well-documented examples
Contributors are encouraged to submit larger, well-documented examples that demonstrate the use of autopdex in real-world scenarios. These examples should be clearly explained, easy to follow, and provide insight into how the project can be used in different contexts.

### Pull Requests
If you are submitting code changes, follow these steps:
1. Fork the repository and create a new branch.
2. Ensure your changes pass all tests (see below).
3. Please follow the PEP 8 conventions.
4. Open a Pull Request and describe the changes you've made.

By submitting a pull request, it is agreed to comply with the CLA requirements mentioned above.

### Setting Up the Local Development Environment

Follow these steps to set up a local development environment:

1. Clone the repository:

```bash
git clone https://github.com/BodeTobias/AutoPDEx.git
```

2. Install the project in editable mode:

```bash
pip install -e .
```

3. Run the tests to verify that the environment is set up correctly:

```bash
pytest
```

## Contributor License Agreement

Before contributions can be accepted, it is necessary to accept the **Contributor License Agreement (CLA)**. The CLA can be found in the repository.